Page MenuHomePhabricator

Another Wikidata issue with addWiki: Cannot spawn child: PopulateSitesTable
Closed, ResolvedPublic

Description

Cannot spawn child: PopulateSitesTable

Fatal error: Class 'PopulateSitesTable' not found in /srv/mediawiki-staging/php-1.27.0-wmf.9/maintenance/Maintenance.php on line 510

Event Timeline

Krenair created this task.Dec 28 2015, 4:34 PM
Krenair raised the priority of this task from to High.
Krenair updated the task description. (Show Details)
Krenair added a subscriber: Krenair.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 28 2015, 4:34 PM
Krenair added a subscriber: demon.Feb 2 2016, 10:04 PM

@demon, you added this code in https://gerrit.wikimedia.org/r/#/c/208168/... Perhaps we need to autoload this class?

Krenair assigned this task to demon.Feb 2 2016, 10:35 PM
demon added a comment.Feb 4 2016, 8:11 PM

It actually looks like it's autoloaded, the autoload.classmap in composer.json includes "repo/maintenance/".

I bet we actually need to swap WikimediaMaintenance to use Wikibase\PopulateSitesTable instead.

Krenair claimed this task.Feb 4 2016, 8:11 PM

Change 268464 had a related patch set uploaded (by Alex Monk):
Try to fix addWiki.php: Manually AutoLoad PopulateSitesTable

https://gerrit.wikimedia.org/r/268464

Change 268464 merged by jenkins-bot:
addWiki: Add Wikibase namespace to PopulateSitesTable call

https://gerrit.wikimedia.org/r/268464

Change 268585 had a related patch set uploaded (by Aude):
Add path argument to runChild for populateSitesTable

https://gerrit.wikimedia.org/r/268585

Change 268585 merged by jenkins-bot:
Add path argument to runChild for populateSitesTable

https://gerrit.wikimedia.org/r/268585

Krenair closed this task as Resolved.Feb 5 2016, 3:06 PM
Krenair added a subscriber: aude.

That should do it. Thanks @aude

Krenair removed Krenair as the assignee of this task.Feb 5 2016, 3:06 PM
Krenair set Security to None.